## org.apache.mahout.utils.vectors.lucene
Class Driver

    java.lang.Object
      org.apache.mahout.utils.vectors.lucene.Driver

    public final class Driver

extends Object

Constructor Summary
`Driver()`

Method Summary
`void` `dumpVectors()`
`static void` `main(String[] args)`
`void` `setDelimiter(String delimiter)`
`void` `setDictOut(String dictOut)`
`void` `setField(String field)`
`void` `setIdField(String idField)`
`void` `setLuceneDir(String luceneDir)`
`void` `setMaxDFPercent(int maxDFPercent)`
`void` `setMaxDocs(long maxDocs)`
`void` `setMaxPercentErrorDocs(double maxPercentErrorDocs)`
`void` `setMinDf(int minDf)`
`void` `setNorm(double norm)`
`void` `setOutFile(String outFile)`
`void` `setSeqDictOut(String seqDictOut)`
`void` `setWeightType(String weightType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Driver

    public Driver()

Method Detail

### dumpVectors

    public void dumpVectors()
                     throws IOException

  Throws:
    `IOException`

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### setLuceneDir

    public void setLuceneDir(String luceneDir)

### setMaxDocs

    public void setMaxDocs(long maxDocs)

### setWeightType

    public void setWeightType(String weightType)

### setField

    public void setField(String field)

### setMinDf

    public void setMinDf(int minDf)

### setMaxDFPercent

    public void setMaxDFPercent(int maxDFPercent)

### setNorm

    public void setNorm(double norm)

### setIdField

    public void setIdField(String idField)

### setOutFile

    public void setOutFile(String outFile)

### setDelimiter

    public void setDelimiter(String delimiter)

### setDictOut

    public void setDictOut(String dictOut)

### setSeqDictOut

    public void setSeqDictOut(String seqDictOut)

### setMaxPercentErrorDocs

    public void setMaxPercentErrorDocs(double maxPercentErrorDocs)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.